summaryrefslogtreecommitdiffstats
path: root/gis/geogit
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2014-02-02 00:35:35 +0100
committer Robby Workman2014-02-02 09:09:46 +0100
commit035116fc266f8668ac3fdc0a0acc1aca9f7dfbb3 (patch)
tree4278b86948cc279bc8906c3b116593b3cba1c83d /gis/geogit
parent0391707570969e4e9e54387e2871f545d5008d5d (diff)
downloadslackbuilds-035116fc266f8668ac3fdc0a0acc1aca9f7dfbb3.tar.gz
gis/geogit: Moved from Academic category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis/geogit')
-rw-r--r--gis/geogit/README7
-rw-r--r--gis/geogit/geogit.SlackBuild63
-rw-r--r--gis/geogit/geogit.info10
-rw-r--r--gis/geogit/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/gis/geogit/README b/gis/geogit/README
new file mode 100644
index 0000000000..484be07d3e
--- /dev/null
+++ b/gis/geogit/README
@@ -0,0 +1,7 @@
+GeoGit is a distributed version control system specially designed to handle
+geospatial data. GeoGit draws inspiration from Git, but adapts its
+core concepts to handle versioning of spatial data. Users are able to import
+raw geospatial data (such as Shapefiles, PostGIS or SpatiaLite) into a
+repository where every change to the data is tracked. These changes can be
+viewed in a history, reverted to older versions, branched into sandboxed
+areas, merged back in or pushed to remote repositories.
diff --git a/gis/geogit/geogit.SlackBuild b/gis/geogit/geogit.SlackBuild
new file mode 100644
index 0000000000..ed3c748cd3
--- /dev/null
+++ b/gis/geogit/geogit.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for geogit
+# Benjamin Trigona-Harany
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geogit
+VERSION=0.6.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+API_DOCS=${API_DOCS:-no}
+GEOGIT_HOME=usr/share/$PRGNAM
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/$GEOGIT_HOME $PKG/usr/bin $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-cli-app-$VERSION.zip
+cd $PRGNAM
+chown -R root:root .
+
+#rm bin/*.bat
+cp -a bin repo $PKG/$GEOGIT_HOME/
+
+# set the path to the jar wrapper in the startup script
+ln -s /$GEOGIT_HOME/bin/geogit $PKG/usr/bin/geogit
+ln -s /$GEOGIT_HOME/bin/geogit-console $PKG/usr/bin/geogit-console
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/geogit/geogit.info b/gis/geogit/geogit.info
new file mode 100644
index 0000000000..8498c1d9c5
--- /dev/null
+++ b/gis/geogit/geogit.info
@@ -0,0 +1,10 @@
+PRGNAM="geogit"
+VERSION="0.6.0"
+HOMEPAGE="http://geogit.org/"
+DOWNLOAD="http://sourceforge.net/projects/geogit/files/geogit-0.6.0/geogit-cli-app-0.6.0.zip"
+MD5SUM="7ae98d6734c344e8a0e721dbbf768781"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/geogit/slack-desc b/gis/geogit/slack-desc
new file mode 100644
index 0000000000..eef7bb75b5
--- /dev/null
+++ b/gis/geogit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geogit: geogit (Distributed version control for geospatial data)
+geogit:
+geogit: GeoGit is a distributed version control system specially designed to
+geogit: handle geospatial data. GeoGit draws inspiration from Git, but adapts
+geogit: its core concepts to handle versioning of spatial data. Users are able
+geogit: to import raw geospatial data (such as Shapefiles, PostGIS or
+geogit: SpatiaLite) into a repository where every change to the data is
+geogit: tracked. These changes can be viewed in a history, reverted, branched
+geogit: into sandboxed areas, merged back in or pushed to remote repositories.
+geogit:
+geogit: Homepage: http://geogit.org